/*
 *
 *iXQ - cocoa-based icq client for MacOS X
 *Copyright (C) 2003  Franois-Marie Grattepain, Philippe Champeaux
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
//
//  SMAlert.m
//  TestIXQ
//
//  Created by Philippe Champeaux on Sat Jan 19 2002.
//  Copyright (c) 2002 Soamee Development. All rights reserved.
//

#import "SMAlert.h"


@implementation SMAlert
// init and such

-(id)initWithMessage:(NSString*)msg ofType:(int)t{
    self=[super init];
    if (self) {
        message=[msg copy];
        type=t;
    }
    return self;
}



// accessors

-(void)setType:(int)t {
    type=t;
}

-(int)type {
    return type;
}



-(void)setMessage:(NSString*)msg {
    if (message!=msg) {
        [message release];
        message=[msg copy];
    }
}

-(NSString*)message {
    return [message copy];
}

@end
