/*
 *
 *iXQ - cocoa-based icq client for MacOS X
 *Copyright (C) 2003  Franois-Marie Grattepain, Philippe Champeaux
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
//
//  SMMessage.h
//  TestIXQ
//
//  Created by Philippe Champeaux on Sat Jan 19 2002.
//  Copyright (c) 2002 Soamee Development. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface SMMessage : NSObject {
    NSString 	*srcUIN;
    NSString 	*destUIN;
    NSString	*messageText;
    NSDate	*date;
    NSData	*data;
}
// init and such
-(id)initWithData:(NSData*)data srcUIN:(NSString*)src destUIN:(NSString*)dest;
-(id)initWithMessage:(NSString*)msg srcUIN:(NSString*)src destUIN:(NSString*)dest;
-(NSDictionary*)toDictWithEncoding:(int)encoding ;

// accessors
-(void)setSrcUIN:(NSString*)uin;
-(NSString*)srcUIN;
-(void)setDestUIN:(NSString*)uin;
-(NSString*)destUIN;
-(void)setMessageText:(NSString*)msg;
-(NSString*)messageText;
-(void)setDate:(NSCalendarDate*)date;
-(NSCalendarDate*)date;
-(NSString*)messageWithEncoding:(int)encoding;
-(void)setData:(NSData*)d;
-(NSData*)data;
@end
