/*
 *
 *iXQ - cocoa-based icq client for MacOS X
 *Copyright (C) 2003  Franois-Marie Grattepain, Philippe Champeaux
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
//
//  SDFadingMessageView.h
//  used by SDNotifier
//
//  Created by Philippe Champeaux on Wed Dec 12 2001.
//  Copyright (c) 2001 Soamee Development. All rights reserved.
//
//	AIM : 	shows a message on screen which appears during 2 seconds
//		then fade away
//
//	USE : 	[[SDNotifier sharedInstance] newMessage:@"my message"];
//		i'll add a method in GUIInterface for calling it
//
//	BUG : 	currently, does not work properly with every classes.
//		don't know if it comes from the general GUI problems or
//		if it's a problem with my code
//		you can try it if you want, but most of the time the
//		window does not fade away

#import <AppKit/AppKit.h>


@interface SMFadingMessageView : NSView {
    NSImage 	*bg;
    NSTextField	*tv;
    NSTextField	*tvs;
    NSString 	*message;
}

-(void)setMessage:(NSString*)msg;
-(void)reDrawSubview;
@end
