/*
 *
 *iXQ - cocoa-based icq client for MacOS X
 *Copyright (C) 2003  Franois-Marie Grattepain, Philippe Champeaux
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
//
//  SMNotifier.h
//  iXQ
//
//  Created by Philippe Champeaux on Sat Mar 09 2002.
//  Copyright (c) 2001 Soamee Development. All rights reserved.
//


// WARNING : temporary class before a solid lgin architecture

#import <Cocoa/Cocoa.h>
#import "SMAccountPreferences.h"
#import "SMFadingMessage.h"
@interface SMNotifier : NSObject {
    id				document;
    SMAccountPreferences 	*accountPreferences;
    NSSound			*msgSound;
    NSImage			*applicationIcon;
    NSImage			*applicationIconWithMessage;
    SMFadingMessage		*fadingMessages;
    
    BOOL			message;
    int status;
}

-(id)initWithPreferences:(SMAccountPreferences*)prefs parent:(id)sender;
-(void)redrawIcon;
-(NSImage*)addImage:(NSImage*)image2 to:(NSImage*)image1 ;
@end
