/*
 *
 *iXQ - cocoa-based icq client for MacOS X
 *Copyright (C) 2003  Franois-Marie Grattepain, Philippe Champeaux
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
//
//  SMAuthorizationWindowController.h
//  iXQ
//
//  Created by Philippe Champeaux on Wed Jun 13 2001.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <AppKit/AppKit.h>
//#import "SMAccountPreferences.h"

@interface SMAuthorizationWindowController : NSWindowController {
    IBOutlet NSTextField	*uin;
    IBOutlet NSTextField	*nickname;
    IBOutlet NSTextField	*firstname;
    IBOutlet NSTextField	*lastname;
    IBOutlet NSTextField	*reason;


    
    //SMuserInfos			*contact;
    NSString			*contactuin, *message;
    
    id				accountPreferences;
    id				document;
    
}

-(id)initWithPreferences:(id)prefs parent:(id)sender contactUin:(NSString*)cuin message:(NSString*)msg;

-(IBAction)accept:(id)sender;
-(IBAction)reject:(id)sender;
@end
