/*
 *
 *iXQ - cocoa-based icq client for MacOS X
 *Copyright (C) 2003  Franois-Marie Grattepain, Philippe Champeaux
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
/* KeyDownView.m created by epeyton on Tue 20-Apr-1999 */

#import "SMKeyDownView.h"
#import "SMMessageWindowController.h"

@implementation SMKeyDownView

// init and such
- (id)initWithFrame:(NSRect)frameRect {
    self = [super initWithFrame:frameRect];
    if (self) {
        [self setAllowsUndo:NO];
        [self setRichText:NO];
    }
    return self;
}

// protoype

- (BOOL)enterHit
{
    return NO;
}

- (BOOL)returnHit
{
    return NO;
}

- (void)keyDown:(NSEvent *)theEvent
{
    NSString* tString = [theEvent charactersIgnoringModifiers];

    if ([tString length]==0)
        return [super keyDown:theEvent];
    
    if ([tString characterAtIndex:0] == 13) {
        //return
    } else if ([tString characterAtIndex:0] == 3) {
        [(SMMessageWindowController*)[self delegate] sendMessage:self];
        return;
    }
    [super keyDown:theEvent];
    //[[self delegate] refreshSize];
    return;
}

@end
