/*
 *
 *iXQ - cocoa-based icq client for MacOS X
 *Copyright (C) 2003  Franois-Marie Grattepain, Philippe Champeaux
 *
 *This program is free software; you can redistribute it and/or
 *modify it under the terms of the GNU General Public License
 *as published by the Free Software Foundation; either version 2
 *of the License, or (at your option) any later version.
 *
 *This program is distributed in the hope that it will be useful,
 *but WITHOUT ANY WARRANTY; without even the implied warranty of
 *MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *GNU General Public License for more details.
 *
 *You should have received a copy of the GNU General Public License
 *along with this program; if not, write to the Free Software
 *Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
//
//  SMGlobalPreferences.m
//  TestIXQ
//
//  Created by Philippe Champeaux on Wed Jan 23 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import "SMGlobalPreferences.h"


@implementation SMGlobalPreferences


// init and such
+ sharedInstance {
    static id sInst;

    if (!sInst) {
        sInst = [[SMGlobalPreferences alloc] init];
    }
    return sInst;
}

// accessors
-(void)setPassword:(NSString*)pass forUIN:(NSString*)uin {
    if (!passwords) {
        passwords=[[NSMutableDictionary alloc] init];
    }
    [passwords setObject:pass forKey:uin];
}

-(NSString*)passwordForUIN:(NSString*)uin {
    return [passwords objectForKey:uin];
}
@end
